import { jsx } from "react/jsx-runtime";
import { FileTxtIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const FileTxt = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "FileTxt", ...props, children: /* @__PURE__ */ jsx(FileTxtIcon, { weight: variant }) });
  }
);
FileTxt.displayName = "FileTxt";
Object.assign(FileTxt, { isGdsIcon: true });
export {
  FileTxt
};
